summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-08-01 18:45:44 +0200
committerMichał Górny <mgorny@gentoo.org>2018-08-01 22:53:24 +0200
commit229b4a263e6cdb036cc4738d1e4cd934d7050b86 (patch)
tree8ddedccc9767c9d28297a78ea1ad05bab5de5715 /sys-devel/clang-runtime
parentsys-libs/libomp: Branch out LLVM 7.0 (diff)
downloadgentoo-229b4a263e6cdb036cc4738d1e4cd934d7050b86.tar.gz
gentoo-229b4a263e6cdb036cc4738d1e4cd934d7050b86.tar.bz2
gentoo-229b4a263e6cdb036cc4738d1e4cd934d7050b86.zip
sys-devel/clang-runtime: Branch out LLVM 7.0
Diffstat (limited to 'sys-devel/clang-runtime')
-rw-r--r--sys-devel/clang-runtime/clang-runtime-7.0.9999.ebuild32
1 files changed, 32 insertions, 0 deletions
diff --git a/sys-devel/clang-runtime/clang-runtime-7.0.9999.ebuild b/sys-devel/clang-runtime/clang-runtime-7.0.9999.ebuild
new file mode 100644
index 00000000000..dcd22734f00
--- /dev/null
+++ b/sys-devel/clang-runtime/clang-runtime-7.0.9999.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib-build
+
+DESCRIPTION="Meta-ebuild for clang runtime libraries"
+HOMEPAGE="https://clang.llvm.org/"
+SRC_URI=""
+
+LICENSE="metapackage"
+# Note: keep it matching clang-9999 version
+SLOT="7.0.0"
+KEYWORDS=""
+IUSE="+compiler-rt crt libcxx openmp +sanitize"
+
+RDEPEND="
+ compiler-rt? (
+ ~sys-libs/compiler-rt-${PV}:${SLOT}
+ sanitize? ( ~sys-libs/compiler-rt-sanitizers-${PV}:${SLOT} )
+ )
+ crt? (
+ || (
+ sys-libs/netbsd-csu[${MULTILIB_USEDEP}]
+ sys-freebsd/freebsd-lib[${MULTILIB_USEDEP}]
+ )
+ )
+ libcxx? ( >=sys-libs/libcxx-${PV}[${MULTILIB_USEDEP}] )
+ openmp? ( >=sys-libs/libomp-${PV}[${MULTILIB_USEDEP}] )"
+
+REQUIRED_USE="sanitize? ( compiler-rt )"